Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 916042 - app-office/lyx-2.3.7 can't emerge
Summary: app-office/lyx-2.3.7 can't emerge
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Arthur Zamarin
URL:
Whiteboard:
Keywords:
Depends on: 931686
Blocks:
  Show dependency tree
 
Reported: 2023-10-20 08:19 UTC by Lorenzo Bertini
Modified: 2024-07-04 18:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (emerge-build.log,188.32 KB, text/x-log)
2023-10-20 08:19 UTC, Lorenzo Bertini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Bertini 2023-10-20 08:19:51 UTC
Created attachment 873172 [details]
build log

Dear maintainer,

I'm attaching the build log. The relevant error seems to be:

<artificial>:(.text+0x60c3): undefined reference to `lyx::frontend::GuiView::zoom_min_'
Comment 1 Mike Gilbert gentoo-dev 2023-10-23 15:37:39 UTC
Please provide emerge --info.
Comment 2 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2024-04-05 13:46:35 UTC
Should be fixed in 2.4.0_rc4 which I just pushed. I'll wait to close the bug when we stabilize it instead.
Comment 3 Larry the Git Cow gentoo-dev 2024-07-04 18:36:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea3b767e18f7e464ca3807878d3fefb0fe53f6d9

commit ea3b767e18f7e464ca3807878d3fefb0fe53f6d9
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2024-07-04 17:19:19 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2024-07-04 18:36:18 +0000

    app-office/lyx: drop 2.3.7, 2.4.0_rc4
    
    Closes: https://bugs.gentoo.org/854831
    Closes: https://bugs.gentoo.org/916042
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 app-office/lyx/Manifest             |   2 -
 app-office/lyx/lyx-2.3.7.ebuild     | 197 ------------------------------------
 app-office/lyx/lyx-2.4.0_rc4.ebuild | 180 --------------------------------
 3 files changed, 379 deletions(-)